#
#   POUR MONTRER qu'il n'y aura qu'un UNIQUE volume partage entre les differents replicas de pod
#
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: service-avec-stockage-static
  name: service-avec-stockage-static
spec:
  replicas: 3
  selector:
    matchLabels:
      app: service-avec-stockage-static
  template:
    metadata:
      labels:
        app: service-avec-stockage-static
    spec:
      containers:
      - name: serveurweb
        image: nginx:alpine
        imagePullPolicy: IfNotPresent
        volumeMounts:
        - name: fichierswebstatiques
          mountPath: /usr/share/nginx/html
#      nodeName: noeud2
      volumes:
      - name: fichierswebstatiques
        persistentVolumeClaim:
          claimName: essai-dpvc
